Bug 1010179 - gparted-0.18.0 is available
gparted-0.18.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 03:16 EDT by Upstream Release Monitoring
Modified: 2014-02-21 00:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 00:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-09-20 03:16:26 EDT
Latest upstream release: 0.16.2
Current version/release in Fedora Rawhide: 0.16.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/gparted/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by the user 2013-11-14 19:47:59 EST
GParted 0.16.2  (2013-09-18)
============================

Release Notes
-------------
  This release of GParted includes some important bug fixes and
  language translation updates.

### Key changes include:

  * Fix crash if click apply before pending operations fully displayed
  * Fix FAT16/32 labels are sometimes shown corrupted
  * Fix regression - linux-swap resize broken
  * Fix to not hide the progress of the tools used - ntfsresize (#697662)

Bug Fixes
---------
  * Fix crash if click apply before pending operations fully displayed (#699452)
  * Enable .desktop prompt for root on default openSUSE installation (#699626)
  * Fix FAT16/32 labels are sometimes shown corrupted (#700228)
    - Combine duplicate code for fat16/fat32
  * Fix setting the backup boot sector when resizing NTFS (#701075)
    - Requires a future version of ntfs-3g with enhanced ntfsresize
    - Enables whole partition use when resizing ext2/3/4, ntfs and reiserfs
  * Set NTFS minimum partition size to 2 MiB (#697848)
  * Make include guards unique (#539297)
    - Remove unused read-only functionality from internal block copy
  * Ensure running GParted is named correctly under GNOME Shell (#705323)
  * Clear btrfs file system super block mirror copies too (#705426)
  * Prepare for btrfs tools using IEC prefix multipliers (#706914)
  * Add create_with_label flag to FS structure (#701569)
  * Inhibit systemd automounting (#701676)
    - Only permit one GParted instance to run at a time
  * Stop using "locate" for gnome-doc-utils check in autogen.sh (#702040)
  * Fix name changes in dosfstools 3.0.18+ breaking FAT16/32 support (#704629)
  * Fix to not hide the progress of the tools used - ntfsresize (#697662)
  * Fix regression - linux-swap resize broken (#706604)
  * Update Help Manual with GPT flags and Force Cancel button (#707070)
  * Add missing colon to label in en_CA translation (#685735)
  * Ensure active tense of mount menu option in en_CA translation (#694700)

Code Credits
------------
  Code enhancements are courtesy of Mike Fleetwood, Sinlu Bes and
  Curtis Gedak.

Translations (new/updated)
--------------------------
  cs(Marek Černocký), da(Joe Hansen), el(Dimitris Spingos),
  es(Daniel Mustieles), fi(Jiri Grönroos, Ville-Pekka Vainio),
  fr(Claude Paroz), gl(Fran Diéguez), id(Andika Triwidada),
  ja(OKANO Takayoshi), ko(Seong-ho Cho), pt_BR(Enrico Nicoletto),
  ru(Yuri Myasoedov), sk(Dušan Kazik), sr(Мирослав Николић),
  sr@latin(Мирослав Николић), th(Akom Chotiphantawanon), uk(Daniel Korostil),
  zh_TW(Chao-Hsiung Liao)

Dependencies (new/updated)
--------------------------
  * Optionally configure to use xdg-su if gksudo, gksu, and kdesudo are
    not installed
Comment 2 Upstream Release Monitoring 2013-12-09 14:52:05 EST
Latest upstream release: 0.17.0
Current version/release in Fedora Rawhide: 0.16.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/gparted/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Account closed by the user 2013-12-11 15:20:45 EST
GParted 0.17.0  (2013-12-09)
============================

Release Notes
-------------
  This release of GParted adds the ability to perform online resizing
  for systems that support this capability.  Also included are bug
  fixes and language translation updates.

### Key changes include:

  * Add support for online resize
    - requires patched version of libparted, kernel >= 3.6, and a config flag
    - See README for more details
  * Recognize Linux Swap Suspend and Software RAID partitions
  * Fix busy detection for Linux Software RAID and extended partitions
  * Fix systemctl runtime mask to prevent automounting partitions

Bug Fixes
---------
  * Add support for online resize (#694622)
  * Fix usage of swap space is not reported (#708107)
  * Turn on resize2fs progress bar (#709276)
  * Fix systemctl runtime mask to prevent automounting partitions (#708378)
  * Stop using deprecated method free_colors() (part of #652044)
  * Stop using deprecated widget alignment enumerators (part of #652044)
  * Recognize Linux Swap Suspend and Software RAID partitions (#709640)
    - Prevent GParted starting stopped Linux Software RAID arrays
  * Fix busy detection for Linux Software RAID and extended partitions (#712633)
  * Make partition information dialog warnings selectable (#705596)
  * Change default file system to ext4 with fall back to ext3/2 (#711114)
  * Add an AppData file (#709164)
    - Thanks to Piotr Drąg for making the AppData file translatable

Code Credits
------------
  Code enhancements are courtesy of Mike Fleetwood, Phillip Susi,
  Richard Hughes, and Curtis Gedak.

Translations (new/updated)
--------------------------
  cs(Marek Černocký), de(Christian Kirbach), fr(Claude Paroz),
  it(Milo Casagrande), lv(Rūdolfs Mazurs), ml(Anish Sheela),
  pl(Piotr Drąg), pt_BR(Rafael Ferreira), ro(Daniel Șerbănescu),
  tr(Muhammet Kara), zh_HK(Chao-Hsiung Liao), zh_TW(Chao-Hsiung Liao)

Dependencies (new/updated)
--------------------------
  * Optionally enable the capability to perform online resizes by
    using configure flag --enable-online-resize if and only if you
    have an "online-resize" patched version of libparted and Linux
    kernel >= 3.6.
Comment 4 Upstream Release Monitoring 2014-02-20 05:23:09 EST
Latest upstream release: 0.18.0
Current version/release in Fedora Rawhide: 0.16.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/gparted/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Account closed by the user 2014-02-20 05:39:58 EST
(In reply to Upstream Release Monitoring from comment #4)
> Latest upstream release: 0.18.0
> Current version/release in Fedora Rawhide: 0.16.1-3.fc20

GParted 0.18.0  (2014-02-19)
============================

Release Notes
-------------
  This release of GParted fixes a resize/move problem introduced in
  0.16.2 that set partition size smaller than ext2/3/4, ntfs, and
  reiserfs file systems in certain situations.  Also included are bug
  fixes and language translation updates.

### Key changes include:

  * Fix partition size less than ext2/3/4, ntfs, reiserfs file system
  * Prevent crash when creating new partition on disk with loop label

Bug Fixes
---------
  * Fix partition size less than ext2/3/4, ntfs, reiserfs file system (#723543)
  * Fix default partition table can not handle > 2 TiB disks (#711098)
  * Prevent crash when creating new partition on disk with loop label (#721988)
  * Replace obsolete FSF postal address in copyright notices (#721565)
  * Make file system support dialog viewable on 800x600 screens (#342682)
  * Add BitLocker disk encryption detection (#723232)

Code Credits
------------
  Code enhancements are courtesy of Mike Fleetwood, Phillip Susi,
  Daniel Mustieles, and Curtis Gedak.

Translations (new/updated)
--------------------------
  cs(Marek Černocký), el(Dimitris Spingos), es(Daniel Mustieles),
  fr(Claude Paroz), gd(GunChleoc), gl(Fran Diéguez), hu(Gabor Kelemen),
  ko(Seong-ho Cho), lt(Aurimas Černius), sr(Мирослав Николић),
  sr@latin(Miroslav Nikolić), uk(Daniel Korostil)

Dependencies (new/updated)
--------------------------
  * no change.
Comment 6 Deji Akingunola 2014-02-21 00:56:33 EST
GParted 0.18.0  has been built for Rawhide, as well as F19 and F20.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.